/**
 * @file
 * Do not let videos be played until accept Onetrust cookies.
 */

(function (Drupal) {

  'use strict';
  Drupal.youtubeCookiesEuCookieCompliance = {};

  /**
   * Informs whether youtube specific cookies are accepted or not.
   *
   * @returns {boolean}
   *   True when youtube cookies are accepted.
   */
  Drupal.youtubeCookiesEuCookieCompliance.euCookieComplianceCookiesAccepted = function() {
    return Drupal.eu_cookie_compliance.hasAgreedWithCategory(drupalSettings.youtubeCookies.cookieCategory);
  };

  /**
   * Setup youtube cookies integration for EU cookie compliance.
   */
  Drupal.youtubeCookiesEuCookieCompliance.setupEuCookieCompliance = function() {
    Drupal.youtubeCookies.setAcceptedCookies(Drupal.youtubeCookiesEuCookieCompliance.euCookieComplianceCookiesAccepted());
  };

  /**
   * Behavior description.
   */
  Drupal.behaviors.youtubeCookiesEuCookieCompliance = {
    attach: function (context, settings) {
      Drupal.youtubeCookiesEuCookieCompliance.setupEuCookieCompliance();
      jQuery(document).on('eu_cookie_compliance.changePreferences', function (event, categories) {
        Drupal.youtubeCookiesEuCookieCompliance.setupEuCookieCompliance();
      });
    }
  };

} (Drupal, jQuery));
